## org.apache.batik.dom
Class StyleSheetProcessingInstruction

    java.lang.Object
      org.apache.batik.dom.AbstractNode
          org.apache.batik.dom.AbstractChildNode
              org.apache.batik.dom.AbstractProcessingInstruction
                  org.apache.batik.dom.StyleSheetProcessingInstruction

All Implemented Interfaces:
  org.w3c.dom.events.EventTarget, ExtendedNode, org.w3c.dom.stylesheets.LinkStyle, org.w3c.dom.Node, NodeEventTarget, org.w3c.dom.ProcessingInstruction, java.io.Serializable

Direct Known Subclasses:
  SVGStyleSheetProcessingInstruction

public class StyleSheetProcessingInstruction
extends AbstractProcessingInstruction
implements org.w3c.dom.stylesheets.LinkStyle

This class provides an implementation of the 'xml-stylesheet' processing instructions.

See Also:
  Serialized Form

Field Summary
`protected StyleSheetFactory` `factory` The stylesheet factory.
`protected HashTable` `pseudoAttributes` The pseudo attributes.
`protected boolean` `readonly` Is this node immutable?
`protected org.w3c.dom.stylesheets.StyleSheet` `sheet` The style sheet.

Fields inherited from class org.apache.batik.dom.AbstractProcessingInstruction
`data`

Fields inherited from class org.apache.batik.dom.AbstractChildNode
`nextSibling, parentNode, previousSibling`

Fields inherited from class org.apache.batik.dom.AbstractNode
`EMPTY_NODE_LIST, eventSupport, ownerDocument`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`protected` `StyleSheetProcessingInstruction()` Creates a new ProcessingInstruction object.
`` `StyleSheetProcessingInstruction(java.lang.String data, AbstractDocument owner, StyleSheetFactory f)` Creates a new ProcessingInstruction object.

Method Summary
`HashTable` `getPseudoAttributes()` Returns the pseudo attributes in a table.
`org.w3c.dom.stylesheets.StyleSheet` `getSheet()` The style sheet.
`java.lang.String` `getTarget()` DOM: Implements `ProcessingInstruction.getTarget()`.
`boolean` `isReadonly()` Tests whether this node is readonly.
`protected org.w3c.dom.Node` `newNode()` Returns a new uninitialized instance of this object's class.
`void` `setData(java.lang.String data)` DOM: Implements `ProcessingInstruction.setData(String)`.
`void` `setNodeName(java.lang.String v)` Sets the node name.
`void` `setReadonly(boolean v)` Sets this node readonly attribute.

Methods inherited from class org.apache.batik.dom.AbstractProcessingInstruction
`copyInto, deepCopyInto, deepExport, export, getData, getNodeName, getNodeType, getNodeValue, setNodeValue`

Methods inherited from class org.apache.batik.dom.AbstractChildNode
`getNextSibling, getParentNode, getPreviousSibling, setNextSibling, setParentNode, setPreviousSibling`

Methods inherited from class org.apache.batik.dom.AbstractNode

`addEventListener, appendChild, checkChildType, cloneNode, createDOMException, dispatchEvent, fireDOMCharacterDataModifiedEvent, fireDOMNodeInsertedIntoDocumentEvent, fireDOMNodeRemovedFromDocumentEvent, getAttributes, getChildNodes, getCurrentDocument, getEventSupport, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getOwnerDocument, getParentNodeEventTarget, getPrefix, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, removeEventListener, replaceChild, setOwnerDocument, setPrefix, setSpecified`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setPrefix`

Field Detail

### readonly

    protected boolean readonly

  Is this node immutable?

### sheet

    protected transient org.w3c.dom.stylesheets.StyleSheet sheet

  The style sheet.

### factory

    protected StyleSheetFactory factory

  The stylesheet factory.

### pseudoAttributes

    protected transient HashTable pseudoAttributes

  The pseudo attributes.

Constructor Detail

### StyleSheetProcessingInstruction

    protected StyleSheetProcessingInstruction()

  Creates a new ProcessingInstruction object.

### StyleSheetProcessingInstruction

    public StyleSheetProcessingInstruction(java.lang.String data,
                                           AbstractDocument owner,
                                           StyleSheetFactory f)

  Creates a new ProcessingInstruction object.

Method Detail

### isReadonly

    public boolean isReadonly()

  Tests whether this node is readonly.

  Specified by:
    `isReadonly` in interface `ExtendedNode`

### setReadonly

    public void setReadonly(boolean v)

  Sets this node readonly attribute.

  Specified by:
    `setReadonly` in interface `ExtendedNode`

### setNodeName

    public void setNodeName(java.lang.String v)

  Sets the node name.

  Specified by:
    `setNodeName` in interface `ExtendedNode`
  Overrides:
    `setNodeName` in class `AbstractNode`

### getTarget

    public java.lang.String getTarget()

  DOM: Implements `ProcessingInstruction.getTarget()`.

  Specified by:
    `getTarget` in interface `org.w3c.dom.ProcessingInstruction`
  Returns:
    "xml-stylesheet".

### getSheet

    public org.w3c.dom.stylesheets.StyleSheet getSheet()

  The style sheet.

  Specified by:
    `getSheet` in interface `org.w3c.dom.stylesheets.LinkStyle`

### getPseudoAttributes

    public HashTable getPseudoAttributes()

  Returns the pseudo attributes in a table.

### setData

    public void setData(java.lang.String data)
                 throws org.w3c.dom.DOMException

  DOM: Implements `ProcessingInstruction.setData(String)`.

  Specified by:
    `setData` in interface `org.w3c.dom.ProcessingInstruction`
  Overrides:
    `setData` in class `AbstractProcessingInstruction`
  Throws:
    `org.w3c.dom.DOMException`

### newNode

    protected org.w3c.dom.Node newNode()

  Returns a new uninitialized instance of this object's class.

  Specified by:
    `newNode` in class `AbstractNode`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.